<?
session_start();
if(empty($login)){
print "<script>top.location.href='index.html';</script>";
}
?>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<meta http-equiv="Content-Language" content="ru">
<LINK REL=StyleSheet HREF='style.css' TYPE='text/css'>
<body bgcolor=#dedede topmargin=2>
<?
include "conf.php";
$data = mysql_connect($base_name, $base_user, $base_pass);
mysql_select_db($db_name,$data);
if (ereg("[<>\\/-]",$act) or ereg("[<>\\/-]",$level) or ereg("[<>\\/-]",$item_id) or ereg("[<>\\/-]",$otdel)) {print "?!"; exit();}
$act=htmlspecialchars($act);
$level=htmlspecialchars($level);
$item_id=htmlspecialchars($item_id);
$otdel=htmlspecialchars($otdel);
$sql = "SELECT * FROM users WHERE login='$login'";
$result = mysql_query($sql);
$db = mysql_fetch_array($result);
$city=$db["city"];
$money1=$db["money"];
$money = sprintf ("%01.2f", $money1);
/*
if($city != "Dream Town"){
     print "<script>location.href='index.php'</script>";
        die();
} 
*/  
?>              <table width="148" align=right border="0" cellpadding="0" cellspacing="1" bgcolor="#DEDEDE"><tr>
                <td bgcolor="#D3D3D3"><img src="img/links.gif" width="9" height="7" /></td>
                <td bgcolor="#D3D3D3" nowrap><a href="main.php?act=go&level=centplosh" onclick="" class="menutop" title="Переход на центральную площадь">Центральная площадь</a></td>
              </tr></table>
<center><H3><p style="COLOR: #8f0000;  FONT-FAMILY: Arial;  FONT-SIZE: 12pt;  FONT-WEIGHT: bold; TEXT-ALIGN: center">Магазин</p></center>
<table width="100%" cellpadding=1 cellspacing=1 >
<tr>
<td width=700 valign=top>

<table border=0 width=100% cellpadding=0 cellspacing=0 height=20>
<tr>
<td width=10>
<table border=0 width=100% cellpadding=0 cellspacing=0>
<tr>
<Td><img src='img/cor_l_t.gif'></td></tr>
<tr><Td><img src='img/cor_l_b.gif'></td></tr>
</table>
</td>
<td align=center bgcolor=#cccccc><B>Отдел: "Продажа вещей"</B>
</td>
<td width=10>
<table border=0 width=100% cellpadding=0 cellspacing=0>
<tr>
<Td><img src='img/cor_r_t.gif'></td></tr>
<tr><Td><img src='img/cor_r_b.gif'></td></tr>
</table>
</td>
</tr>
<Tr></tr>
<Tr></tr>
</table>




<table width=100% cellpadding=0 cellspacing=0 border=0>
<td width=10><img src='img/cor2_l_t.gif'></td>
<td bgcolor=#cccccc><img src='img/20_20.gif'></td>
<td width=10><img src='img/cor2_r_t.gif'></td>
</tr>
</table>
<?

/* include "functions.php"; */
$at_all=0;

$SQL=mysql_query("SELECT * FROM inv WHERE owner='$login' AND object_razdel='obj'");
while($D = mysql_fetch_array($SQL)){
$at_all++;
}


if($at_all==0){
?>
<table border=0 width=700 bgcolor=#cccccc><TR><TD>
<?
print "<center><B>У вас нет вещей на продажу!!!";
?>
</td></tr></table>

<?
}
else{


$SQL=mysql_query("SELECT * FROM inv WHERE owner='$login' AND object_razdel='obj'");
while($data=mysql_fetch_array($SQL)){

	if($data["owner"]==$login){
	print "<table border=0 width=100% bgcolor=#cccccc>";
	$item_id=$data["id"];
	$obj_id=$data["object_id"];
	$obj_type=$data["object_type"];
	$obj_razdel=$data["object_razdel"];
	$wear=$data["wear"];
	$iznos=$data["iznos"];
	$iznos_max=$data["iznos_max"];
	$gift=$data["gift"];
	$gift_author=$data["gift_author"];
	$is_artefakt=$data["is_artefakt"];
	$is_personal=$data["is_personal"];
	$presonal_owner=$data["personal_owner"];
	$is_aligned=$data["is_aligned"];
	$q2="SELECT * FROM $obj_type WHERE id=$obj_id";
	$r2=mysql_query($q2);
	$dat=mysql_fetch_array($r2);
	$name=$dat["name"];
	$img=$dat["img"];
	$mass=$dat["mass"];
	$price1=$dat["price"]/1.8*($db["trade"]/100+1)-($data["iznos"]*0.1);
	$price = sprintf ("%01.2f", $price1);
	$price_gos=$dat["price"];
	$min_s=$dat["min_sila"];
	$min_l=$dat["min_lovkost"];
	$min_u=$dat["min_udacha"];
	$min_p=$dat["min_power"];
	$min_i=$dat["min_intellekt"];
	$min_v=$dat["min_vospriyatie"];
	$min_level=$dat["min_level"];
	$add_s=$dat["add_sila"];
	$add_l=$dat["add_lovkost"];
	$add_u=$dat["add_udacha"];
	$add_hp=$dat["add_hp"];
	$add_i=$dat["add_intellekt"];
	$add_mana=$dat["add_mana"];
	$addsword_vl=$dat["sword_vl"];
	$addaxe_vl=$dat["axe_vl"];
	$addfail_vl=$dat["fail_vl"];
	$addknife_vl=$dat["knife_vl"];
	$addspear_vl=$dat["spear_vl"];
	$p_h=$dat["protect_head"];
	$p_c=$dat["protect_corp"];
	$p_p=$dat["protect_poyas"];
	$p_l=$dat["protect_legs"];
	$mf_krit=$dat["mf_krit"];
	$mf_antikrit=$dat["mf_antikrit"];
	$mf_uvorot=$dat["mf_uvorot"];
	$mf_antiuvorot=$dat["mf_antiuvorot"];
	$min_a=$dat["min_attack"];
	$max_a=$dat["max_attack"];
	$add_speed=$dat["add_speed"];
	$qq="SELECT * FROM users WHERE login='$login'";
	$res=mysql_query($qq);
	$d=mysql_fetch_array($res);
		if($wear==0){
		
print "<tr><td><hr color=#000000 noshade size=1 width=100% align=left><table><tr><td width=250>";
print "<center><img src='img/$img' border=0 alt='$name($iznos/$iznos_max)'><BR><center>";

print "<a href='shop.php?act=sell&item_id=$item_id' class=nick>продать за $price кр.</a>";


print "</td><td valign=top>";
print "<font color=#003388><B>$name</b></font>&nbsp(Масса: $mass)";
if($gift==1){
print "&nbsp&nbsp<img src='img/icon/gift.gif' width=14 height=14 border=0 alt='Подарок от $gift_author'>";
}
if($is_artefakt==1){
print "&nbsp&nbsp<img src='img/icon/artefakt.gif' width=16 height=16 border=0 alt='Артефактная вещь'>";
}
if($is_personal==1){
print "&nbsp&nbsp<img src='img/icon/personal.gif' width=16 height=16 border=0 alt='Именная артефактная вещь.\nПринадлежит $personal_owner'>";
}
if($is_aligned!=0){
print "&nbsp&nbsp<img src='img/icon/aligned.gif' width=16 height=16 border=0 alt='$align'>";
}
print "<br><B>Цена: $price_gos кр.</b><BR>";
print "Долговечность: $iznos/$iznos_max<BR>";
print "<B>Требуется минимальное:</b><BR>";
if($min_level>$d["level"]){
$min_level="<font color=#D50000>$min_level</font>";
}
print "&bull; Уровень: $min_level<BR>";
if($min_s>0){
if($min_s>$d["sila"]){
$min_s="<font color=#D50000>$min_s</font>";
}
print "&bull; Сила: $min_s<BR>";
}
if($min_l>0){
if($min_l>$d["lovkost"]){
$min_l="<font color=#D50000>$min_l</font>";
}
print "&bull; Ловкость: $min_l<BR>";
}
if($min_u>0){
if($min_u>$d["udacha"]){
$min_u="<font color=#D50000>$min_u</font>";
}
print "&bull; Интуиция: $min_u<BR>";
}
if($min_p>0){
if($min_p>$d["power"]){
$min_p="<font color=#D50000>$min_p</font>";
}
print "&bull; Выносливость: $min_p<BR>";
}
if($min_i>0){
if($min_i>$d["intellekt"]){
$min_i="<font color=#D50000>$min_i</font>";
}
print "&bull; Интеллект: $min_i<BR>";
}
if($min_v>0){
if($min_v>$d["vospriyatie"]){
$min_v="<font color=#D50000>$min_v</font>";
}
print "&bull; Мудрость: $min_v<BR>";
}
print "<B>Параметры:</b><BR>";
if($min_a>0 or $max_a>0){
print "&bull; Урон: $min_a - $max_a<BR>";
}
if($add_s>0){
print "&bull; Сила: +$add_s<BR>";
}
else if($add_s<0){
print "&bull; Сила: $add_s<BR>";
}
if($add_l>0){
print "&bull; Ловкость: +$add_l<BR>";
}
else if($add_l<0){
print "&bull; Ловкость: $add_l<BR>";
}
if($add_u>0){
print "&bull; Интуиция: +$add_u<BR>";
}
else if($add_u<0){
print "&bull; Интуиция: $add_u<BR>";
}
if($add_i>0){
print "&bull; Интеллект: +$add_i<BR>";
}
else if($add_i<0){
print "&bull; Интеллект: +$add_i<BR>";
}
if($add_hp>0){
print "&bull; Уровень жизни: +$add_hp<BR>";
}
else if($add_hp<0){
print "&bull; Уровень жизни: $add_hp<BR>";
}
if($add_mana>0){
print "&bull; Уровень маны: +$add_mana<BR>";
}
else if($add_mana<0){
print "&bull; Уровень маны: $add_mana<BR>";
}
if($addsword_vl>0){
print "&bull; Владение мечами: +$addsword_vl%<BR>";
}
if($addaxe_vl>0){
print "&bull; Владение топорами: +$addaxe_vl%<BR>";
}
if($addfail_vl>0){
print "&bull; Владение дубинами: +$addfail_vl%<BR>";
}
if($addknife_vl>0){
print "&bull; Владение ножами: +$addknife_vl%<BR>";
}
if($addspear_vl>0){
print "&bull; Владение копьями: +$addspear_vl%<BR>";
}
if($p_h>0){
print "&bull; Броня головы: $p_h<BR>";
}
if($p_c>0){
print "&bull; Броня корпуса: $p_c<BR>";
}
if($p_p>0){
print "&bull; Броня пояса: $p_p<BR>";
}
if($p_l>0){
print "&bull; Броня ног: $p_l<BR>";
}
if($mf_krit>0){
print "&bull; Мф. крит. удара: +$mf_krit<BR>";
}
else if($mf_krit<0){
print "&bull; Мф. крит. удара: $mf_krit<BR>";
}
if($mf_antikrit>0){
print "&bull; Мф. антикрит: +$mf_antikrit<BR>";
}
else if($mf_antikrit<0){
print "&bull; Мф. фнтикрит: $mf_antikrit<BR>";
}
if($mf_uvorot>0){
print "&bull; Мф. увертливости: +$mf_uvorot<BR>";
}
else if($mf_uvorot<0){
print "&bull; Мф. увертливости: $mf_uvorot<BR>";
}
if($mf_antiuvorot>0){
print "&bull; Мф. антиувертливости: +$mf_antiuvorot<BR>";
}
else if($mf_uvorot<0){
print "&bull; Мф. антиувертливости: $mf_antiuvorot<BR>";
}
?>
</td></tr></table></td></tr></table> 
<?


		}	
	}


}

$SQL2 = mysql_query("SELECT * FROM inv WHERE object_type='wood' AND owner='$login'");
while($DAT2 = mysql_fetch_Array($SQL2)){
	print "<table border=0 width=500 bgcolor=#cccccc>";
	$item_id=$DAT2["id"];
	$obj_id=$DAT2["object_id"];
	$obj_type=$DAT2["object_type"];

	$q2="SELECT * FROM wood WHERE id=$obj_id";
	$r2=mysql_query($q2);
	$dat=mysql_fetch_array($r2);
	$name=$dat["name"];
	$img=$dat["img"];
	$mass=$dat["mass"];
	$price1=$dat["price"]/1.8*($db["trade"]/100+1)-($data["iznos"]*0.1);
	$price = sprintf ("%01.2f", $price1);
	$price_gos=$dat["price"];
print "<tr><td><span class=usuallyb><B>&nbsp&nbspДерево";
print "<hr color=#000000 noshade size=1 width=90% align=left><table><tr><td valign=top>";
print "<img src='img/$img' border=0 alt='$name'><BR><center>";

print "<a href='shop.php?act=sell&item_id=$item_id' class=us2>продать<BR><small>($price Зл.)</small></a>";

print "</td><td valign=top><span class=usuallyb>";
print "Цена: $price_gos зл.<BR>";
print "Масса: $mass ед.<BR>";
print "Ресурс: $name<BR>";
print "</td></tr></table></td>";
}
}
die("<table width=100% cellpadding=0 cellspacing=0>
<td width=20><img src='img/cor2_l_b.gif'></td>
<td bgcolor=#cccccc><img src='img/20_20.gif'></td>
<td width=20><img src='img/cor2_r_b.gif'></td>
</tr>
</table></td><td></td>
<td width=260 valign=top><center><B>У вас в наличии:<FONT COLOR=339900> $money</font> кр.</B><br><br></center>
&nbsp&nbsp&nbsp&nbsp<INPUT value=\"Продать вещи\" type=button name=sale style='border: solid 1pt #B0B0B0; font-family: MS Sans Serif; font-size: 10px; color: #191970; MARGIN-BOTTOM: 2px; MARGIN-TOP: 1px;' onClick=\"location.href='sell.php'\">
<table width=100% cellpadding=0 cellspacing=0>
<td width=20><img src='img/cor2_l_t.gif'></td>
<td bgcolor=#cccccc>
<center><B>Отделы магазина</B></center>
</td>
<td width=20><img src='img/cor2_r_t.gif'></td>
</tr>
</table>
<table border=0 cellpadding=0 width=100% bgcolor=#cccccc>
<TR>
</TR><TR><TD>
<a class=nick href='shop.php?otdel=knife'>Оружие: кастеты, ножи</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=axe'>топоры</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=sword'>мечи</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=fail'>дубины, булавы</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=spear'>луки, арбалеты</a><BR>
<a class=nick href='shop.php?otdel=boots'>Одежда: сапоги</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=perchi'>перчатки</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=armour'>тяжелая броня</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=helmet'>шлемы</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=naruchi'>наручи</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=poyas'>пояса</a><BR>
<a class=nick href='shop.php?otdel=shield'>Щиты</a><BR>
<a class=nick href='shop.php?otdel=sergi'>Ювелирные изделия: серьги</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=amulet'>ожерелья</a><BR>
&nbsp&nbsp&nbsp&nbsp<a class=nick href='shop.php?otdel=ring'>кольца</a><BR>
</td>
</tr></table>
<table width=100% cellpadding=0 cellspacing=0>
<td width=20><img src='img/cor2_l_b.gif'></td>
<td bgcolor=#cccccc><img src='img/20_20.gif'></td>
<td width=20><img src='img/cor2_r_b.gif'></td>
</tr>
</table>
</td>
<table>");
?>





